Subject: RE: bug#6777: 23.2; The highlight face changes foreground

From: "Drew Adams" <[email-masked]>
Date: Mon, 2 Aug 2010 06:41:54 -0700

> The definition of the highlight face only sets the background color.
> But I see that it is changing the foreground as well.
> 
> Suppose you do (set-face-foreground 'bold "blue") and run the 
> mouse over
> the bold items in a *Apropos* window, you would notice that the
> foreground changes to black.
> 
> If you do (set-face-underline 'bold t) and run the mouse, you would
> notice the underlining disappear.
> 
> Is this a bug or a feature?

I'm no expert on this, but this is the way Emacs has always behaved.

This is not about the `highlight' face or any other face.  It is about
`mouse-face' vs `face'.

The `mouse-face' text property is a separate property from the `face' property.
Each has a face as its value.  You see one or the other face at any given time,
not a combination of the two.  If `mouse-face' has the value `highlight'
(highlight face), then that is the face you see when you mouseover the text.  

HTH.